<?php

	$blogger_hub_first_theme_color = get_theme_mod('blogger_hub_first_theme_color');
	$blogger_hub_second_theme_color = get_theme_mod('blogger_hub_second_theme_color');
	$blogger_hub_custom_css = '';

	/*------------------ Theme Color Option -----------*/
	if ($blogger_hub_first_theme_color) {
		$blogger_hub_custom_css .= ':root {';
		$blogger_hub_custom_css .= '--primary-color: ' . esc_attr($blogger_hub_first_theme_color) . ' !important;';
		$blogger_hub_custom_css .= '} ';
	}

	if ($blogger_hub_second_theme_color) {
		$blogger_hub_custom_css .= ':root {';
		$blogger_hub_custom_css .= '--secondary-color: ' . esc_attr($blogger_hub_second_theme_color) . ' !important;';
		$blogger_hub_custom_css .= '} ';
	}

	// Layout Options
	$blogger_hub_theme_layout = get_theme_mod( 'blogger_hub_theme_layout_options','Default Theme');
    if($blogger_hub_theme_layout == 'Container Theme'){
		$blogger_hub_custom_css .='body{';
			$blogger_hub_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_theme_layout == 'Box Container Theme'){
		$blogger_hub_custom_css .='body{';
			$blogger_hub_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.search-box label{';
			$blogger_hub_custom_css .=' width: 72%; ';
		$blogger_hub_custom_css .='}';
	}

	/*--------- , .preloaderader Color Option -------*/
	$blogger_hub_preloader_color = get_theme_mod('blogger_hub_preloader_color');

	if($blogger_hub_preloader_color != false){
		$blogger_hub_custom_css .=' .tg-loader{';
			$blogger_hub_custom_css .='border-color: '.esc_attr($blogger_hub_preloader_color).';';
		$blogger_hub_custom_css .='} ';
		$blogger_hub_custom_css .=' .tg-loader-inner, .preloader .preloader-container .animated-preloader, .preloader .preloader-container .animated-preloader:before{';
			$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_preloader_color).';';
		$blogger_hub_custom_css .='} ';
	}

	$blogger_hub_preloader_bg_color = get_theme_mod('blogger_hub_preloader_bg_color');

	if($blogger_hub_preloader_bg_color != false){
		$blogger_hub_custom_css .=' #overlayer, .preloader{';
			$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_preloader_bg_color).';';
		$blogger_hub_custom_css .='} ';
	}

	/*------------ Button Settings option-----------------*/

	$blogger_hub_top_button_padding = get_theme_mod('blogger_hub_top_button_padding');
	$blogger_hub_bottom_button_padding = get_theme_mod('blogger_hub_bottom_button_padding');
	$blogger_hub_left_button_padding = get_theme_mod('blogger_hub_left_button_padding');
	$blogger_hub_right_button_padding = get_theme_mod('blogger_hub_right_button_padding');
	if($blogger_hub_top_button_padding != false || $blogger_hub_bottom_button_padding != false || $blogger_hub_left_button_padding != false || $blogger_hub_right_button_padding != false){
		$blogger_hub_custom_css .='.blogbtn a, #comments input[type="submit"].submit{';
			$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_top_button_padding).'px; padding-bottom: '.esc_attr($blogger_hub_bottom_button_padding).'px; padding-left: '.esc_attr($blogger_hub_left_button_padding).'px; padding-right: '.esc_attr($blogger_hub_right_button_padding).'px; display:inline-block;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_button_border_radius = get_theme_mod('blogger_hub_button_border_radius',4);
	$blogger_hub_custom_css .='.blogbtn a, #comments input[type="submit"].submit, .hvr-sweep-to-right:before{';
		$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_button_border_radius).'px;';
	$blogger_hub_custom_css .='}';

	// button font weight
	$blogger_hub_button_font_weight = get_theme_mod('blogger_hub_button_font_weight', '500');
  	$blogger_hub_custom_css .='.blogbtn a{';
    $blogger_hub_custom_css .='font-weight: '.esc_attr($blogger_hub_button_font_weight).';';
  	$blogger_hub_custom_css .='}';


  	// button text transform
  	$blogger_hub_button_text_transform = get_theme_mod('blogger_hub_button_text_transform');
  	if($blogger_hub_button_text_transform == 'uppercase' ){
    	$blogger_hub_custom_css .='.blogbtn a{';
      	$blogger_hub_custom_css .=' text-transform: uppercase;';
    	$blogger_hub_custom_css .='}';
  	}elseif($blogger_hub_button_text_transform == 'capitalize' ){
    	$blogger_hub_custom_css .='.blogbtn a{';
      	$blogger_hub_custom_css .=' text-transform: capitalize;';
    	$blogger_hub_custom_css .='}';
  	}elseif($blogger_hub_button_text_transform == 'lowercase' ){
    	$blogger_hub_custom_css .='.blogbtn a{';
      	$blogger_hub_custom_css .=' text-transform: lowercase;';
    	$blogger_hub_custom_css .='}';
  	}

  	// widgets heading font size
	$blogger_hub_widgets_heading_fontsize = get_theme_mod('blogger_hub_widgets_heading_fontsize',26);
	if($blogger_hub_widgets_heading_fontsize != false){
		$blogger_hub_custom_css .='#footer h3, #footer h2, #footer .wp-block-search__label{';
			$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_widgets_heading_fontsize).'px; ';
		$blogger_hub_custom_css .='}';
	}

	// widgets heading font weight
	$blogger_hub_widgets_heading_font_weight = get_theme_mod('blogger_hub_widgets_heading_font_weight', '700');
  	$blogger_hub_custom_css .='#footer h3, #footer h2, #footer .wp-block-search__label{';
    $blogger_hub_custom_css .='font-weight: '.esc_attr($blogger_hub_widgets_heading_font_weight).';';
  	$blogger_hub_custom_css .='}';

	/*----------- Footer widgets heading alignment -----*/
	$blogger_hub_footer_widgets_heading = get_theme_mod( 'blogger_hub_footer_widgets_heading','Left');
    if($blogger_hub_footer_widgets_heading == 'Left'){
		$blogger_hub_custom_css .='#footer h3{';
		$blogger_hub_custom_css .='text-align: left;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_footer_widgets_heading == 'Center'){
		$blogger_hub_custom_css .='#footer h3{';
			$blogger_hub_custom_css .='text-align: center;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_footer_widgets_heading == 'Right'){
		$blogger_hub_custom_css .='#footer h3{';
			$blogger_hub_custom_css .='text-align: right;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_footer_widgets_content = get_theme_mod( 'blogger_hub_footer_widgets_content','Left');
    if($blogger_hub_footer_widgets_content == 'Left'){
		$blogger_hub_custom_css .='#footer .widget ul{';
		$blogger_hub_custom_css .='text-align: left;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_footer_widgets_content == 'Center'){
		$blogger_hub_custom_css .='#footer .widget ul{';
			$blogger_hub_custom_css .='text-align: center;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_footer_widgets_content == 'Right'){
		$blogger_hub_custom_css .='#footer .widget ul{';
			$blogger_hub_custom_css .='text-align: right;';
		$blogger_hub_custom_css .='}';
	}
   
	// Footer Heading Text Transform

	$blogger_hub_theme_lay = get_theme_mod( 'blogger_hub_footer_text_tranform','Capitalize');
    if($blogger_hub_theme_lay == 'Uppercase'){
		$blogger_hub_custom_css .='#footer h3{';
			$blogger_hub_custom_css .='text-transform: Uppercase;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_theme_lay == 'Lowercase'){
		$blogger_hub_custom_css .='#footer h3{';
			$blogger_hub_custom_css .='text-transform: Lowercase;';
		$blogger_hub_custom_css .='}';
	}
	else if($blogger_hub_theme_lay == 'Capitalize'){
		$blogger_hub_custom_css .='#footer h3{';
			$blogger_hub_custom_css .='text-transform: Capitalize;';
		$blogger_hub_custom_css .='}';
	}	

	// Footer Heading  letter spacing
	$blogger_hub_widgets_heading_letter_spacing = get_theme_mod('blogger_hub_widgets_heading_letter_spacing','');
	$blogger_hub_custom_css .='#footer h3{';
	$blogger_hub_custom_css .='letter-spacing: '.esc_attr($blogger_hub_widgets_heading_letter_spacing).'px;';
	$blogger_hub_custom_css .='}';		

/*---------------------------Footer Style -------------------*/

	$blogger_hub_theme_lay = get_theme_mod( 'blogger_hub_footer_template','blogger_hub-footer-one');
    if($blogger_hub_theme_lay == 'blogger_hub-footer-one'){
		$blogger_hub_custom_css .='#footer {';
			$blogger_hub_custom_css .='';
		$blogger_hub_custom_css .='}';

	}else if($blogger_hub_theme_lay == 'blogger_hub-footer-two'){
		$blogger_hub_custom_css .='#footer {';
			$blogger_hub_custom_css .='background: #E3F2FD !important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner p,.footerinner span,.footerinner li a,.footerinner #wp-calendar caption,.footerinner #wp-calendar td,.footerinner #wp-calendar th, .footerinner, .footerinner h3, .footerinner a.rsswidget, .footerinner #wp-calendar a, .copyright a, .footerinner .custom_details, .footerinner ins span, .footerinner .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, .footerinner table, .footerinner th, .footerinner td, .footerinner caption, #sidebar caption,.footerinner nav.wp-calendar-nav a,.footerinner .search-form .search-field{';
			$blogger_hub_custom_css .='color:#000 !important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='#footer p{';
			$blogger_hub_custom_css .='color:#000 !important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner ul li::before{';
			$blogger_hub_custom_css .='background:#000;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner table, .footerinner th, .footerinner td,.footerinner.search-form .search-field,.footerinner .tagcloud a{';
			$blogger_hub_custom_css .='border: 1px solid #000;';
		$blogger_hub_custom_css .='}';

	}else if($blogger_hub_theme_lay == 'blogger_hub-footer-three'){
		$blogger_hub_custom_css .='#footer {';
			$blogger_hub_custom_css .='background: #0A0A1F !important;;';
		$blogger_hub_custom_css .='}';
	}
	else if($blogger_hub_theme_lay == 'blogger_hub-footer-four'){
		$blogger_hub_custom_css .='#footer {';
			$blogger_hub_custom_css .='background: #F5F5DC !important;;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner p,.footerinner span,.footerinner li a,.footerinner #wp-calendar caption,.footerinner #wp-calendar td,.footerinner #wp-calendar th, .footerinner, .footerinner h3, .footerinner a.rsswidget, .footerinner #wp-calendar a, .copyright a, .footerinner .custom_details, .footerinner ins span, .footerinner .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, .footerinner table, .footerinner th, .footerinner td, .footerinner caption, #sidebar caption,.footerinner nav.wp-calendar-nav a,.footerinner .search-form .search-field{';
			$blogger_hub_custom_css .='color:#000 !important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='#footer p{';
			$blogger_hub_custom_css .='color:#000 !important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner ul li::before{';
			$blogger_hub_custom_css .='background:#000;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.footerinner table, .footerinner th, .footerinner td,.footerinner.search-form .search-field,.footerinner .tagcloud a{';
			$blogger_hub_custom_css .='border: 1px solid #000;';
		$blogger_hub_custom_css .='}';
	}
    else if($blogger_hub_theme_lay == 'blogger_hub-footer-five'){
	$blogger_hub_custom_css .='#footer {';
		$blogger_hub_custom_css .='background: #333333 !important;;';
	$blogger_hub_custom_css .='}';
   }	

	/*----------- Copyright css -----*/
	$blogger_hub_copyright_top_padding = get_theme_mod('blogger_hub_top_copyright_padding');
	$blogger_hub_copyright_bottom_padding = get_theme_mod('blogger_hub_bottom_copyright_padding');
	if($blogger_hub_copyright_top_padding != false || $blogger_hub_copyright_bottom_padding != false){
		$blogger_hub_custom_css .='.inner{';
			$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_copyright_top_padding).'px; padding-bottom: '.esc_attr($blogger_hub_copyright_bottom_padding).'px; ';
		$blogger_hub_custom_css .='}';
	} 

	$blogger_hub_copyright_alignment = get_theme_mod('blogger_hub_copyright_alignment', 'center');
	if($blogger_hub_copyright_alignment == 'center' ){
		$blogger_hub_custom_css .='#footer .copyright p{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_copyright_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_copyright_alignment == 'left' ){
		$blogger_hub_custom_css .='#footer .copyright p{';
			$blogger_hub_custom_css .=' text-align: '. $blogger_hub_copyright_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_copyright_alignment == 'right' ){
		$blogger_hub_custom_css .='#footer .copyright p{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_copyright_alignment .';';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_copyright_font_size = get_theme_mod('blogger_hub_copyright_font_size');
	$blogger_hub_custom_css .='#footer .copyright p{';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_copyright_font_size).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_copyright_color = get_theme_mod('blogger_hub_copyright_color');
	$blogger_hub_custom_css .='#footer .copyright p,#footer .copyright a{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_copyright_color).'!important;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_back_to_top_text_color = get_theme_mod('blogger_hub_back_to_top_text_color');
	$blogger_hub_custom_css .='.back-to-top{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_back_to_top_text_color).'!important;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_back_to_top_color = get_theme_mod('blogger_hub_back_to_top_color');
	$blogger_hub_custom_css .='.back-to-top{';
		$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_back_to_top_color).'!important;';
	$blogger_hub_custom_css .='}';
		$blogger_hub_back_to_top_color = get_theme_mod('blogger_hub_back_to_top_color');
	$blogger_hub_custom_css .='.back-to-top::before{';
		$blogger_hub_custom_css .='border-bottom-color: '.esc_attr($blogger_hub_back_to_top_color).'!important;';
	$blogger_hub_custom_css .='}';	

	// back to top icon hover color
	$blogger_hub_back_to_top_hover_color = get_theme_mod('blogger_hub_back_to_top_hover_color');
	$blogger_hub_custom_css .='.back-to-top:hover{';
		$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_back_to_top_hover_color). ' !important;';
	$blogger_hub_custom_css .='}';
		$blogger_hub_back_to_top_hover_color = get_theme_mod('blogger_hub_back_to_top_hover_color');
	$blogger_hub_custom_css .='.back-to-top:hover::before{';
		$blogger_hub_custom_css .='border-bottom-color: '.esc_attr($blogger_hub_back_to_top_hover_color).'!important;';
	$blogger_hub_custom_css .='}';

	/*------ Woocommerce ----*/
	$blogger_hub_product_border = get_theme_mod('blogger_hub_product_border',true);

	if($blogger_hub_product_border == false){
		$blogger_hub_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$blogger_hub_custom_css .='border: 0;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_product_top = get_theme_mod('blogger_hub_product_top_padding', 10);
	$blogger_hub_product_bottom = get_theme_mod('blogger_hub_product_bottom_padding', 10);
	$blogger_hub_product_left = get_theme_mod('blogger_hub_product_left_padding', 10);
	$blogger_hub_product_right = get_theme_mod('blogger_hub_product_right_padding', 10);

	$blogger_hub_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_product_top).'px; padding-bottom: '.esc_attr($blogger_hub_product_bottom).'px; padding-left: '.esc_attr($blogger_hub_product_left).'px; padding-right: '.esc_attr($blogger_hub_product_right).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_product_border_radius = get_theme_mod('blogger_hub_product_border_radius');
	$blogger_hub_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_product_border_radius).'px;';
	$blogger_hub_custom_css .='}';
	
	$blogger_hub_product_box_shadow = get_theme_mod('blogger_hub_product_box_shadow','0');
	$blogger_hub_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$blogger_hub_custom_css .='box-shadow: '.esc_attr($blogger_hub_product_box_shadow).'px '.esc_attr($blogger_hub_product_box_shadow).'px '.esc_attr($blogger_hub_product_box_shadow).'px #eee;';
	$blogger_hub_custom_css .='}';		

	/*----- WooCommerce button css --------*/
	$blogger_hub_product_button_top = get_theme_mod('blogger_hub_product_button_top_padding',10);
	$blogger_hub_product_button_bottom = get_theme_mod('blogger_hub_product_button_bottom_padding',10);
	$blogger_hub_product_button_left = get_theme_mod('blogger_hub_product_button_left_padding',15);
	$blogger_hub_product_button_right = get_theme_mod('blogger_hub_product_button_right_padding',15);

	$blogger_hub_custom_css .='.woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, button.woocommerce-button.button.woocommerce-form-login__submit, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_product_button_top).'px; padding-bottom: '.esc_attr($blogger_hub_product_button_bottom).'px; padding-left: '.esc_attr($blogger_hub_product_button_left).'px; padding-right: '.esc_attr($blogger_hub_product_button_right).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_product_button_border_radius = get_theme_mod('blogger_hub_product_button_border_radius');

	$blogger_hub_custom_css .='.woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, a.checkout-button.button.alt.wc-forward, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, button.woocommerce-button.button.woocommerce-form-login__submit{';
		$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_product_button_border_radius).'px;';
	$blogger_hub_custom_css .='}';

	/*----- WooCommerce product sale css --------*/
	$blogger_hub_product_sale_top = get_theme_mod('blogger_hub_product_sale_top_padding');
	$blogger_hub_product_sale_bottom = get_theme_mod('blogger_hub_product_sale_bottom_padding');
	$blogger_hub_product_sale_left = get_theme_mod('blogger_hub_product_sale_left_padding');
	$blogger_hub_product_sale_right = get_theme_mod('blogger_hub_product_sale_right_padding');

	$blogger_hub_custom_css .='.woocommerce span.onsale {';
		$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_product_sale_top).'px; padding-bottom: '.esc_attr($blogger_hub_product_sale_bottom).'px; padding-left: '.esc_attr($blogger_hub_product_sale_left).'px; padding-right: '.esc_attr($blogger_hub_product_sale_right).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_product_sale_border_radius = get_theme_mod('blogger_hub_product_sale_border_radius',50);
	
	$blogger_hub_custom_css .='.woocommerce span.onsale {';
		$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_product_sale_border_radius).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_menu_case = get_theme_mod('blogger_hub_product_sale_position', 'Right');
	if($blogger_hub_menu_case == 'Right' ){
		$blogger_hub_custom_css .='.woocommerce ul.products li.product .onsale{';
			$blogger_hub_custom_css .=' left:auto; right:0;';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_menu_case == 'Left' ){
		$blogger_hub_custom_css .='.woocommerce ul.products li.product .onsale{';
			$blogger_hub_custom_css .=' left:-10px; right:auto;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_product_sale_font_size = get_theme_mod('blogger_hub_product_sale_font_size',13);
	$blogger_hub_custom_css .='.woocommerce span.onsale {';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_product_sale_font_size).'px;';
	$blogger_hub_custom_css .='}';

	/*---- Comment form ----*/
	$blogger_hub_comment_width = get_theme_mod('blogger_hub_comment_width', '100');
	$blogger_hub_custom_css .='#comments textarea{';
		$blogger_hub_custom_css .=' width:'.esc_attr($blogger_hub_comment_width).'%;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_comment_submit_text = get_theme_mod('blogger_hub_comment_submit_text', 'Post Comment');
	if($blogger_hub_comment_submit_text == ''){
		$blogger_hub_custom_css .='#comments p.form-submit {';
			$blogger_hub_custom_css .='display: none;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_comment_title = get_theme_mod('blogger_hub_comment_title', 'Leave a Reply');
	if($blogger_hub_comment_title == ''){
		$blogger_hub_custom_css .='#comments h2#reply-title {';
			$blogger_hub_custom_css .='display: none;';
		$blogger_hub_custom_css .='}';
	}

	/*------ Footer background css -------*/
	$blogger_hub_footer_bg_color = get_theme_mod('blogger_hub_footer_bg_color');
	if($blogger_hub_footer_bg_color != false){
		$blogger_hub_custom_css .='#footer{';
			$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_footer_bg_color).';';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_footer_bg_image = get_theme_mod('blogger_hub_footer_bg_image');
	if($blogger_hub_footer_bg_image != false){
		$blogger_hub_custom_css .='#footer{';
			$blogger_hub_custom_css .='background: url('.esc_attr($blogger_hub_footer_bg_image).'); background-size: cover;';
		$blogger_hub_custom_css .='}';
	}

	//footer icon color
	$blogger_hub_footer_icon_color = get_theme_mod('blogger_hub_footer_icon_color', '#fff');
	$blogger_hub_custom_css .='#footer .copyright a i{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_footer_icon_color).'!important;';
	$blogger_hub_custom_css .='}';	

	/*-------- Footer Icon Alignment ------*/
	$blogger_hub_footer_icon_alignment = get_theme_mod('blogger_hub_footer_icon_alignment', 'Center');
	if($blogger_hub_footer_icon_alignment == 'Center' ){
		$blogger_hub_custom_css .='#footer .copyright{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_footer_icon_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_footer_icon_alignment == 'Left' ){
		$blogger_hub_custom_css .='#footer .copyright{';
			$blogger_hub_custom_css .=' text-align: '. $blogger_hub_footer_icon_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_footer_icon_alignment == 'Right' ){
		$blogger_hub_custom_css .='#footer .copyright{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_footer_icon_alignment .';';
		$blogger_hub_custom_css .='}';
	}
	//Footer Social Icon Font size
	$blogger_hub_footer_icon_font_size = get_theme_mod('blogger_hub_footer_icon_font_size');
	$blogger_hub_custom_css .='#footer .copyright a i{';
	$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_footer_icon_font_size).'px;';
	$blogger_hub_custom_css .='}';

	//Footer Social Icon Top Bottom padding 
	$blogger_hub_footer_icon_to_top_padding = get_theme_mod('blogger_hub_footer_icon_to_top_padding');
	$blogger_hub_custom_css .='#footer .copyright a i{';
	$blogger_hub_custom_css .='padding-top: '.esc_attr($blogger_hub_footer_icon_to_top_padding).'px;';
	$blogger_hub_custom_css .='padding-bottom: '.esc_attr($blogger_hub_footer_icon_to_top_padding).'px;';
	$blogger_hub_custom_css .='}';

    // footer image position
	$blogger_hub_footer_img_position = get_theme_mod('blogger_hub_footer_img_position','center center');
	if($blogger_hub_footer_img_position != false){
		$blogger_hub_custom_css .='#footer{';
			$blogger_hub_custom_css .='background-position: '.esc_attr($blogger_hub_footer_img_position).'!important;';
		$blogger_hub_custom_css .='}';
	}	
	// Footer Attatchment
	$blogger_hub_theme_lay = get_theme_mod( 'blogger_hub_footer_attatchment','scroll');
	if($blogger_hub_theme_lay == 'fixed'){
		$blogger_hub_custom_css .='#footer{';
			$blogger_hub_custom_css .='background-attachment: fixed;';
		$blogger_hub_custom_css .='}';
	}elseif ($blogger_hub_theme_lay == 'scroll'){
		$blogger_hub_custom_css .='#footer{';
			$blogger_hub_custom_css .='background-attachment: scroll;';
		$blogger_hub_custom_css .='}';
	}	
	/*---------------------------Footer top bottom padding -------------------*/
	$blogger_hub_footer_padding = get_theme_mod('blogger_hub_footer_padding');
	if($blogger_hub_footer_padding != false){
		$blogger_hub_custom_css .='#footer .footerinner{';
			$blogger_hub_custom_css .='padding: '.esc_attr($blogger_hub_footer_padding).' 0 !important;';
		$blogger_hub_custom_css .='}';
	}	
	/*----- Featured image css -----*/
	$blogger_hub_feature_image_border_radius = get_theme_mod('blogger_hub_feature_image_border_radius');
	if($blogger_hub_feature_image_border_radius != false){
		$blogger_hub_custom_css .='#blog_post .blog-sec img{';
			$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_feature_image_border_radius).'px;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_feature_image_shadow = get_theme_mod('blogger_hub_feature_image_shadow');
	if($blogger_hub_feature_image_shadow != false){
		$blogger_hub_custom_css .='#blog_post .blog-sec img{';
			$blogger_hub_custom_css .='box-shadow: '.esc_attr($blogger_hub_feature_image_shadow).'px '.esc_attr($blogger_hub_feature_image_shadow).'px '.esc_attr($blogger_hub_feature_image_shadow).'px #aaa;';
		$blogger_hub_custom_css .='}';
	}
	// blog post Pagination Alignment
	$blogger_hub_post_pagination_alignment = get_theme_mod( 'blogger_hub_post_pagination_option','Right');
	if($blogger_hub_post_pagination_alignment == 'Left'){
		$blogger_hub_custom_css .='.navigation nav.pagination{';
			$blogger_hub_custom_css .='justify-content: left;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_post_pagination_alignment == 'Center'){
		$blogger_hub_custom_css .='.navigation nav.pagination{';
			$blogger_hub_custom_css .='justify-content: center;';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_post_pagination_alignment == 'Right'){
		$blogger_hub_custom_css .='.navigation nav.pagination{';
			$blogger_hub_custom_css .='justify-content: right;';
		$blogger_hub_custom_css .='}';
	}
	 /*----- Related posts image css-----*/

	$blogger_hub_related_image_border_radius = get_theme_mod('blogger_hub_related_image_border_radius');
	if($blogger_hub_related_image_border_radius != false){
		$blogger_hub_custom_css .='.related-posts .blog-sec img{';
			$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_related_image_border_radius).'px;';
		$blogger_hub_custom_css .='}';
	}

	/*----- Related Post display type css ------*/
	$blogger_hub_related_post_display_type = get_theme_mod('blogger_hub_related_post_display_type', 'blocks');
	if($blogger_hub_related_post_display_type == 'without blocks' ){
		$blogger_hub_custom_css .='.related-posts .blog-sec{';
			$blogger_hub_custom_css .='border: 0!important;';
		$blogger_hub_custom_css .='}';
	}

	// Metabox Seperator related post
	$blogger_hub_related_post_metabox_seperator = get_theme_mod('blogger_hub_related_post_metabox_seperator', '|');
	if($blogger_hub_related_post_metabox_seperator != '' ){
		$blogger_hub_custom_css .='.related-posts .blog-sec .post-info span:after{';
			$blogger_hub_custom_css .=' content: "'.esc_attr($blogger_hub_related_post_metabox_seperator).'"; padding-left:10px;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.related-posts .blog-sec .post-info span:last-child:after{';
			$blogger_hub_custom_css .=' content: none;';
		$blogger_hub_custom_css .='}';
	}

	/*------ Sticky header padding ------------*/
	$blogger_hub_top_sticky_header_padding = get_theme_mod('blogger_hub_top_sticky_header_padding');
	$blogger_hub_bottom_sticky_header_padding = get_theme_mod('blogger_hub_bottom_sticky_header_padding');
	$blogger_hub_custom_css .=' .fixed-header{';
		$blogger_hub_custom_css .=' padding-top: '.esc_attr($blogger_hub_top_sticky_header_padding).'px; padding-bottom: '.esc_attr($blogger_hub_bottom_sticky_header_padding).'px';
	$blogger_hub_custom_css .='}';

	// featured image dimention
	$blogger_hub_blog_image_dimension = get_theme_mod('blogger_hub_blog_image_dimension', 'default');
	$blogger_hub_feature_image_custom_width = get_theme_mod('blogger_hub_feature_image_custom_width',250);
	$blogger_hub_feature_image_custom_height = get_theme_mod('blogger_hub_feature_image_custom_height',250);
	if($blogger_hub_blog_image_dimension == 'custom'){
		$blogger_hub_custom_css .='#blog_post .blog-sec img{';
			$blogger_hub_custom_css .='width: '.esc_attr($blogger_hub_feature_image_custom_width).'px; height: '.esc_attr($blogger_hub_feature_image_custom_height).'px;';
		$blogger_hub_custom_css .='}';
	}

	/*------ Related products ---------*/
	$blogger_hub_related_products = get_theme_mod('blogger_hub_single_related_products',true);
	if($blogger_hub_related_products == false){
		$blogger_hub_custom_css .=' .related.products{';
			$blogger_hub_custom_css .='display: none;';
		$blogger_hub_custom_css .='}';
	}

	/*-------- Menu Font Size --------*/
	$blogger_hub_menu_font_size = get_theme_mod('blogger_hub_menu_font_size',15);
	if($blogger_hub_menu_font_size != false){
		$blogger_hub_custom_css .='.nav-menu li a{';
			$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_menu_font_size).'px;';
		$blogger_hub_custom_css .='}';
	}

	$blogger_hub_menu_font_weight = get_theme_mod('blogger_hub_menu_font_weight');
	$blogger_hub_custom_css .='.nav-menu li a{';
		$blogger_hub_custom_css .='font-weight: '.esc_attr($blogger_hub_menu_font_weight).';';
	$blogger_hub_custom_css .='}';

	$blogger_hub_menu_case = get_theme_mod('blogger_hub_menu_case', 'capitalize');
	if($blogger_hub_menu_case == 'uppercase' ){
		$blogger_hub_custom_css .='.nav-menu li a{';
			$blogger_hub_custom_css .=' text-transform: uppercase;';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_menu_case == 'capitalize' ){
		$blogger_hub_custom_css .='.nav-menu li a{';
			$blogger_hub_custom_css .=' text-transform: capitalize;';
		$blogger_hub_custom_css .='}';
	}

	// Social Icons Font Size
	$blogger_hub_social_icons_font_size = get_theme_mod('blogger_hub_social_icons_font_size', '13');
	$blogger_hub_custom_css .='.social-links i{';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_social_icons_font_size).'px;';
	$blogger_hub_custom_css .='}';

	//Header icon color
	$blogger_hub_header_icon_color = get_theme_mod('blogger_hub_header_icon_color', '');
	$blogger_hub_custom_css .='.social-links i{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_header_icon_color).'!important;';
	$blogger_hub_custom_css .='}';

	// Featured image header
	$header_image_url = blogger_hub_banner_image( $image_url = '' );
	$blogger_hub_custom_css .='#page-site-header{';
		$blogger_hub_custom_css .='background-image: url('. esc_url( $header_image_url ).'); background-size: cover;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_post_featured_image = get_theme_mod('blogger_hub_post_featured_image', 'in-content');
	if($blogger_hub_post_featured_image == 'banner' ){
		$blogger_hub_custom_css .='.single #wrapper h1, .page #wrapper h1, .page #wrapper img, .page-template-custom-front-page #page-site-header{';
			$blogger_hub_custom_css .=' display: none;';
		$blogger_hub_custom_css .='}';
	}

	// Woocommerce Shop page pagination
	$blogger_hub_shop_page_navigation = get_theme_mod('blogger_hub_shop_page_navigation',true);
	if ($blogger_hub_shop_page_navigation == false) {
		$blogger_hub_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$blogger_hub_custom_css .='display: none;';
		$blogger_hub_custom_css .='}';
	}

	/*-------- Blog Post Alignment ------*/
	$blogger_hub_post_alignment = get_theme_mod('blogger_hub_blog_post_alignment', 'center');
	if($blogger_hub_post_alignment == 'left' ){
		$blogger_hub_custom_css .='.blog-sec, .blog-sec h2, .blog-sec .post-info, .blog-sec .blogbtn{';
			$blogger_hub_custom_css .=' text-align: '. $blogger_hub_post_alignment .'!important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.post-hr{';
			$blogger_hub_custom_css .='float:left;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.post-info,mainimage{';
			$blogger_hub_custom_css .='margin-top:10px;';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_post_alignment == 'right' ){
		$blogger_hub_custom_css .='.blog-sec, .blog-sec h2, .blog-sec .post-info, .blog-sec .blogbtn{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_post_alignment .'!important;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.post-hr{';
			$blogger_hub_custom_css .='float:right;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.post-info,mainimage{';
			$blogger_hub_custom_css .='margin-top:10px;';
		$blogger_hub_custom_css .='}';
	}

	/*----- Blog Post display type css ------*/
	$blogger_hub_blog_post_display_type = get_theme_mod('blogger_hub_blog_post_display_type', 'blocks');
	if($blogger_hub_blog_post_display_type == 'without blocks' ){
		$blogger_hub_custom_css .='.blog .blog-sec{';
			$blogger_hub_custom_css .='border: 0; background: transparent;';
		$blogger_hub_custom_css .='}';
	}

	//Blog Post Initial Cap
	$blogger_hub_initial_caps_enable = get_theme_mod('blogger_hub_initial_caps_enable', 'false');
	if($blogger_hub_initial_caps_enable == 'true' ){
		$blogger_hub_custom_css .='.blog-sec .entry-content p:nth-of-type(1)::first-letter,.blog-sec p:nth-of-type(1)::first-letter{';
			$blogger_hub_custom_css .=' font-size: 60px!important; font-weight: 800!important;';
		$blogger_hub_custom_css .=' margin-right: 4px;';
			$blogger_hub_custom_css .=' font-family: "Vollkorn", serif!important;';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_initial_caps_enable == 'false' ){
		$blogger_hub_custom_css .='.blog-sec .entry-content p:nth-of-type(1)::first-letter,.blog-sec p:nth-of-type(1)::first-letter{';
			$blogger_hub_custom_css .='display: none!important;';
		$blogger_hub_custom_css .='}';
	}

	// Metabox Seperator
	$blogger_hub_metabox_seperator = get_theme_mod('blogger_hub_metabox_seperator','|');
	if($blogger_hub_metabox_seperator != '' ){
		$blogger_hub_custom_css .='.blog-sec .post-info span:after{';
			$blogger_hub_custom_css .=' content: "'.esc_attr($blogger_hub_metabox_seperator).'"; padding-left:10px;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.blog-sec .post-info span:last-child:after, span.entry-date:after{';
			$blogger_hub_custom_css .=' content: none;';
		$blogger_hub_custom_css .='}';
	}

	// Metabox Seperator Single post
	$blogger_hub_single_post_metabox_seperator = get_theme_mod('blogger_hub_single_post_metabox_seperator','|');
	if($blogger_hub_single_post_metabox_seperator != '' ){
		$blogger_hub_custom_css .='.post-info span:after{';
			$blogger_hub_custom_css .=' content: "'.esc_attr($blogger_hub_single_post_metabox_seperator).'"; padding-left:10px;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.post-info span:last-child:after{';
			$blogger_hub_custom_css .=' content: none;';
		$blogger_hub_custom_css .='}';
	}

	// Metabox Seperator Grid post
	$blogger_hub_grid_post_metabox_seperator = get_theme_mod('blogger_hub_grid_post_metabox_seperator','|');
	if($blogger_hub_grid_post_metabox_seperator != '' ){
		$blogger_hub_custom_css .='.grid-post-info span:after{';
			$blogger_hub_custom_css .=' content: "'.esc_attr($blogger_hub_grid_post_metabox_seperator).'"; padding-left:10px;';
		$blogger_hub_custom_css .='}';
		$blogger_hub_custom_css .='.grid-post-info span:last-child:after{';
			$blogger_hub_custom_css .=' content: none;';
		$blogger_hub_custom_css .='}';
	}

	/*----- grid Post display type css ------*/
	$blogger_hub_grid_post_display_type = get_theme_mod('blogger_hub_grid_post_display_type', 'blocks');
	if($blogger_hub_grid_post_display_type == 'without blocks' ){
		$blogger_hub_custom_css .='.grid-sec{';
			$blogger_hub_custom_css .='border: 0;background: transparent;';
		$blogger_hub_custom_css .='}';
	}

	/*----- grid Post css ------*/
	$blogger_hub_grid_post_image_border_radius = get_theme_mod('blogger_hub_grid_post_image_border_radius');
	 if($blogger_hub_grid_post_image_border_radius != false){
		 $blogger_hub_custom_css .='.grid-sec img{';
			 $blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_grid_post_image_border_radius).'px;';
		 $blogger_hub_custom_css .='}';
	 }

	/*-------- grid post Alignment ------*/
	$blogger_hub_grid_alignment = get_theme_mod('blogger_hub_grid_alignment','center');
	if($blogger_hub_grid_alignment == 'left' ){
		$blogger_hub_custom_css .='.grid-sec, .grid-sec h2, .grid-post-info, .grid-sec .entry-content, .grid-sec .blogbtn{';
			$blogger_hub_custom_css .=' text-align: '. $blogger_hub_grid_alignment .'!important;';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_grid_alignment == 'right' ){
		$blogger_hub_custom_css .='.grid-sec, .grid-sec h2, .grid-post-info, .grid-sec .entry-content, .grid-sec .blogbtn{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_grid_alignment .'!important;';
		$blogger_hub_custom_css .='}';
	}	

	// Site title Font Size
	$blogger_hub_site_title_font_size = get_theme_mod('blogger_hub_site_title_font_size', '50');
	$blogger_hub_custom_css .='.blogger-hub-logo h1 a, .blogger-hub-logo p.site-title a{';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_site_title_font_size).'px;';
	$blogger_hub_custom_css .='}';

	// Site tagline Font Size
	$blogger_hub_site_tagline_font_size = get_theme_mod('blogger_hub_site_tagline_font_size', '15');
	$blogger_hub_custom_css .='.blogger-hub-logo p.site-description{';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_site_tagline_font_size).'px;';
	$blogger_hub_custom_css .='}';

	// responsive settings

	// scroll to top
	$blogger_hub_scroll = get_theme_mod( 'blogger_hub_backtotop_responsive',true);
	if (get_theme_mod('blogger_hub_backtotop_responsive',true) == true && get_theme_mod('blogger_hub_hide_scroll',true) == false) {
    	$blogger_hub_custom_css .='.show-back-to-top{';
			$blogger_hub_custom_css .='visibility: hidden !important;';
		$blogger_hub_custom_css .='} ';
	}
    if($blogger_hub_scroll == true){
    	$blogger_hub_custom_css .='@media screen and (max-width:575px) {';
		$blogger_hub_custom_css .='.show-back-to-top{';
			$blogger_hub_custom_css .='visibility: visible !important;';
		$blogger_hub_custom_css .='} }';
	}else if($blogger_hub_scroll == false){
		$blogger_hub_custom_css .='@media screen and (max-width:575px) {';
		$blogger_hub_custom_css .='.show-back-to-top{';
			$blogger_hub_custom_css .='visibility: hidden !important;';
		$blogger_hub_custom_css .='} }';
	}

	$blogger_hub_resp_sidebar = get_theme_mod( 'blogger_hub_sidebar_hide_show',true);
    if($blogger_hub_resp_sidebar == true){
    	$blogger_hub_custom_css .='@media screen and (max-width:575px) {';
		$blogger_hub_custom_css .='#sidebar{';
			$blogger_hub_custom_css .='display:block;';
		$blogger_hub_custom_css .='} }';
	}else if($blogger_hub_resp_sidebar == false){
		$blogger_hub_custom_css .='@media screen and (max-width:575px) {';
		$blogger_hub_custom_css .='#sidebar{';
			$blogger_hub_custom_css .='display:none;';
		$blogger_hub_custom_css .='} }';
	}

	//Toggle Button Color Option
	$blogger_hub_toggle_button_bg_color_settings = get_theme_mod('blogger_hub_toggle_button_bg_color_settings');
	$blogger_hub_custom_css .='.toggle-menu{';
	$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_toggle_button_bg_color_settings).';';
	$blogger_hub_custom_css .='} ';

	if (get_theme_mod('blogger_hub_preloader_responsive',false) == false && get_theme_mod('blogger_hub_preloader',false) == false) {
		$blogger_hub_custom_css .='@media screen and (min-width: 575px){
			.preloader, #overlayer, .tg-loader{';
			$blogger_hub_custom_css .=' visibility: hidden;';
		$blogger_hub_custom_css .='} }';
	}
	if (get_theme_mod('blogger_hub_preloader_responsive',false) == false) {
		$blogger_hub_custom_css .='@media screen and (max-width: 575px){
			.preloader, #overlayer, .tg-loader{';
			$blogger_hub_custom_css .=' visibility: hidden;';
		$blogger_hub_custom_css .='} }';
	}

	if (get_theme_mod('blogger_hub_sticky_header_responsive') == false) {
		$blogger_hub_custom_css .='@media screen and (max-width: 575px){
			.sticky-menu{';
			$blogger_hub_custom_css .=' position: static;';
		$blogger_hub_custom_css .='} }';
	}

	/*------ Footer background css -------*/
	$blogger_hub_copyright_bg_color = get_theme_mod('blogger_hub_copyright_bg_color');
	if($blogger_hub_copyright_bg_color != false){
		$blogger_hub_custom_css .='.inner{';
			$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_copyright_bg_color).';';
		$blogger_hub_custom_css .='}';
	}

	// site logo padding 
	$blogger_hub_logo_spacing = get_theme_mod('blogger_hub_logo_spacing', '');
	$blogger_hub_custom_css .='.blogger-hub-logo{';
	$blogger_hub_custom_css .='padding: '.esc_attr($blogger_hub_logo_spacing).'px;';
	$blogger_hub_custom_css .='}';

	// site title color
	$blogger_hub_site_title_text_color = get_theme_mod('blogger_hub_site_title_text_color');
	$blogger_hub_custom_css .='.blogger-hub-logo h1 a, .blogger-hub-logo p.site-title a{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_site_title_text_color).' !important;';
	$blogger_hub_custom_css .='}';

	// site tagline color
	$blogger_hub_site_tagline_text_color = get_theme_mod('blogger_hub_site_tagline_text_color');
	$blogger_hub_custom_css .='.blogger-hub-logo p.site-description{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_site_tagline_text_color).' !important;';
	$blogger_hub_custom_css .='}';

	// menu padding
	$blogger_hub_menu_padding = get_theme_mod('blogger_hub_menu_padding',22);
	$blogger_hub_custom_css .='.nav-menu ul li a, .sf-arrows ul .sf-with-ul, .sf-arrows .sf-with-ul{';
		$blogger_hub_custom_css .='padding: '.esc_attr($blogger_hub_menu_padding).'px;';
	$blogger_hub_custom_css .='}';

	$blogger_hub_menus_item = get_theme_mod( 'blogger_hub_menus_item_style','None');
    if($blogger_hub_menus_item == 'None'){
		$blogger_hub_custom_css .='.nav-menu ul li a{';
			$blogger_hub_custom_css .='';
		$blogger_hub_custom_css .='}';
	}else if($blogger_hub_menus_item == 'Zoom In'){
		$blogger_hub_custom_css .='.nav-menu ul li a:hover{';
			$blogger_hub_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$blogger_hub_custom_css .='}';
	}else if ($blogger_hub_menus_item == 'Underline Expand') { 
			$blogger_hub_custom_css .= '.nav-menu ul li a { position: relative; text-decoration: none; }';
		$blogger_hub_custom_css .= '.nav-menu ul li a::after {';
			$blogger_hub_custom_css .= 'content: ""; position: absolute; left: 50%; bottom: calc('. esc_attr($blogger_hub_menu_padding) . 'px / 2); width: 0; height: 2px; background-color: white;';
		$blogger_hub_custom_css .= 'transition: width 0.5s ease, left 0.5s ease;';
			$blogger_hub_custom_css .= '}';
		$blogger_hub_custom_css .= '.nav-menu ul li a:hover::after {';
			$blogger_hub_custom_css .= 'width: 100%; left: 0;';
		$blogger_hub_custom_css .= '}';
	}		

	// menu color
	$blogger_hub_menu_color = get_theme_mod('blogger_hub_menu_color');
	$blogger_hub_custom_css .='.nav-menu a, .nav-menu .current-menu-item > a, .nav-menu .current_page_ancestor > a, .nav ul li a{';
			$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_menu_color).' !important;';
	$blogger_hub_custom_css .='}';

	// menu hover color
	$blogger_hub_menu_hover_color = get_theme_mod('blogger_hub_menu_hover_color');
	$blogger_hub_custom_css .='.nav-menu a:hover, .nav-menu ul li a:hover{';
			$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_menu_hover_color).' !important;';
	$blogger_hub_custom_css .='}';

	// Submenu color
	$blogger_hub_submenu_menu_color = get_theme_mod('blogger_hub_submenu_menu_color');
	$blogger_hub_custom_css .='.nav-menu ul.sub-menu a, .nav-menu ul.sub-menu li a,.nav-menu ul.children a, .nav-menu ul.children li a{';
			$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_submenu_menu_color).' !important;';
	$blogger_hub_custom_css .='}';

	// submenu hover color
	$blogger_hub_submenu_hover_color = get_theme_mod('blogger_hub_submenu_hover_color');
	$blogger_hub_custom_css .='.nav-menu ul.sub-menu a:hover, .nav-menu ul.sub-menu li a:hover,.nav-menu ul.children a:hover, .nav-menu ul.children li a:hover{';
			$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_submenu_hover_color).' !important;';
	$blogger_hub_custom_css .='}';

	// Breadcrumb Alignmennt
	$blogger_hub_single_page_breadcrumb_alignment = get_theme_mod('blogger_hub_single_page_breadcrumb_alignment', 'Left');
	if($blogger_hub_single_page_breadcrumb_alignment == 'Center' ){
		$blogger_hub_custom_css .='.bradcrumbs{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_single_page_breadcrumb_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_single_page_breadcrumb_alignment == 'Left' ){
		$blogger_hub_custom_css .='.bradcrumbs{';
			$blogger_hub_custom_css .=' text-align: '. $blogger_hub_single_page_breadcrumb_alignment .';';
		$blogger_hub_custom_css .='}';
	}elseif($blogger_hub_single_page_breadcrumb_alignment == 'Right' ){
		$blogger_hub_custom_css .='.bradcrumbs{';
			$blogger_hub_custom_css .='text-align: '. $blogger_hub_single_page_breadcrumb_alignment .';';
		$blogger_hub_custom_css .='}';
	}

	// Breadcrumb color option
	$blogger_hub_breadcrumb_color = get_theme_mod('blogger_hub_breadcrumb_color');
	$blogger_hub_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_breadcrumb_color).'!important;';
	$blogger_hub_custom_css .='}';

	// Breadcrumb bg color option
	$blogger_hub_breadcrumb_background_color = get_theme_mod('blogger_hub_breadcrumb_background_color');
	$blogger_hub_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_breadcrumb_background_color).'!important;';
	$blogger_hub_custom_css .='}';

	// Breadcrumb hover color option
	$blogger_hub_breadcrumb_hover_color = get_theme_mod('blogger_hub_breadcrumb_hover_color');
	$blogger_hub_custom_css .='.bradcrumbs a:hover{';
		$blogger_hub_custom_css .='color: '.esc_attr($blogger_hub_breadcrumb_hover_color).'!important;';
	$blogger_hub_custom_css .='}';

	// Breadcrumb hover bg color option
	$blogger_hub_breadcrumb_hover_bg_color = get_theme_mod('blogger_hub_breadcrumb_hover_bg_color');
	$blogger_hub_custom_css .='.bradcrumbs a:hover{';
		$blogger_hub_custom_css .='background-color: '.esc_attr($blogger_hub_breadcrumb_hover_bg_color).'!important;';
	$blogger_hub_custom_css .='}';

	// site logo margin 
	$blogger_hub_logo_margin = get_theme_mod('blogger_hub_logo_margin', '');
	$blogger_hub_custom_css .='.blogger-hub-logo{';
	$blogger_hub_custom_css .='margin: '.esc_attr($blogger_hub_logo_margin).'px;';
	$blogger_hub_custom_css .='}';

	// Single post image border radious
	$blogger_hub_single_post_img_border_radius = get_theme_mod('blogger_hub_single_post_img_border_radius', 0);
	$blogger_hub_custom_css .='.single-feature-img.feature-box img{';
		$blogger_hub_custom_css .='border-radius: '.esc_attr($blogger_hub_single_post_img_border_radius).'px;';
	$blogger_hub_custom_css .='}';

	// Single post image box shadow
	$blogger_hub_single_post_img_box_shadow = get_theme_mod('blogger_hub_single_post_img_box_shadow',0);
	$blogger_hub_custom_css .='.feature-box img{';
		$blogger_hub_custom_css .='box-shadow: '.esc_attr($blogger_hub_single_post_img_box_shadow).'px '.esc_attr($blogger_hub_single_post_img_box_shadow).'px '.esc_attr($blogger_hub_single_post_img_box_shadow).'px #ccc;';
	$blogger_hub_custom_css .='}';

	// single post image dimention
	$blogger_hub_single_post_image_dimension = get_theme_mod('blogger_hub_single_post_image_dimension', 'default');
	$blogger_hub_single_post_image_custom_width = get_theme_mod('blogger_hub_single_post_image_custom_width',400);
	$blogger_hub_single_post_image_custom_height = get_theme_mod('blogger_hub_single_post_image_custom_height',400);
	if($blogger_hub_single_post_image_dimension == 'custom'){
		$blogger_hub_custom_css .='.single-feature-img img{';
			$blogger_hub_custom_css .='width: '.esc_attr($blogger_hub_single_post_image_custom_width).'px; height: '.esc_attr($blogger_hub_single_post_image_custom_height).'px;';
		$blogger_hub_custom_css .='}';
	}

	// Button Font Size
	$blogger_hub_button_font_size = get_theme_mod('blogger_hub_button_font_size', '16');
	$blogger_hub_custom_css .='.blogbtn a{';
		$blogger_hub_custom_css .='font-size: '.esc_attr($blogger_hub_button_font_size).'px;';
	$blogger_hub_custom_css .='}';

	// Button letter spacing
	$blogger_hub_button_letter_spacing = get_theme_mod('blogger_hub_button_letter_spacing', '0');
	$blogger_hub_custom_css .='.blogbtn a{';
		$blogger_hub_custom_css .='letter-spacing: '.esc_attr($blogger_hub_button_letter_spacing).'px;';
	$blogger_hub_custom_css .='}';

	//Button hover effect
	$blogger_hub_button_hover_effect = get_theme_mod('blogger_hub_button_hover_effect', 'disable');
	if ($blogger_hub_button_hover_effect !== 'disable') {
		$blogger_hub_custom_css .= '.blogbtn a:hover {';
		switch ($blogger_hub_button_hover_effect) {
			case 'pulse':
				$blogger_hub_custom_css .= 'animation: pulse 0.5s ease-in-out;';
				break;
			case 'rubberBand':
				$blogger_hub_custom_css .= 'animation: rubberBand 0.5s ease-in-out;';
				break;
			case 'swing':
				$blogger_hub_custom_css .= 'animation: swing 0.5s ease-in-out;';
				break;
			case 'tada':
				$blogger_hub_custom_css .= 'animation: tada 0.5s ease-in-out;';
				break;
			case 'jello':
				$blogger_hub_custom_css .= 'animation: jello 0.5s ease-in-out;';
				break;
		}
		$blogger_hub_custom_css .= '}';
	}

	$blogger_hub_sticky_sidebar = get_theme_mod('blogger_hub_sticky_sidebar');
	if ( $blogger_hub_sticky_sidebar ) {
		$blogger_hub_custom_css .= '#sidebar {';
			$blogger_hub_custom_css .= 'position: sticky;';
			$blogger_hub_custom_css .= 'top: 25px;';
			$blogger_hub_custom_css .= 'align-self: start;';
		$blogger_hub_custom_css .= '}';
	}

	// Copyright Sticky 
	$blogger_hub_resp_stickycopyright = get_theme_mod( 'blogger_hub_stickycopyright_hide_show',false);
	if($blogger_hub_resp_stickycopyright == true && get_theme_mod( 'blogger_hub_copyright_sticky',false) != true){
    	$blogger_hub_custom_css .='.copyright-sticky{';
			$blogger_hub_custom_css .='position:static;';
		$blogger_hub_custom_css .='} ';
	}	

		// change the Category style //
	$blogger_hub_single_post_styling = get_theme_mod( 'blogger_hub_single_post_styling','Button');
		if($blogger_hub_single_post_styling == 'Underline'){
		$blogger_hub_custom_css .='.single-post-category .post-categories li a{';
			$blogger_hub_custom_css .='text-decoration: underline; color: #000 !important; background-color:transparent;';
		$blogger_hub_custom_css .='}';
	}
	else if($blogger_hub_single_post_styling == 'Default'){
		$blogger_hub_custom_css .='.single-post-category .post-categories li a{';
			$blogger_hub_custom_css .='text-decoration: none; color: #000 !important; background-color:transparent;';
		$blogger_hub_custom_css .='}';
	}
    

	//keyframes for all animations
	$blogger_hub_custom_css .= '
	@keyframes pulse {
		0% { transform: scale(1); }
		50% { transform: scale(1.1); }
		100% { transform: scale(1); }
	}

	@keyframes rubberBand {
		0% { transform: scale(1); }
		30% { transform: scaleX(1.25) scaleY(0.75); }
		40% { transform: scaleX(0.75) scaleY(1.25); }
		50% { transform: scale(1); }
	}

	@keyframes swing {
		20% { transform: rotate(15deg); }
		40% { transform: rotate(-10deg); }
		60% { transform: rotate(5deg); }
		80% { transform: rotate(-5deg); }
		100% { transform: rotate(0deg); }
	}

	@keyframes tada {
		0% { transform: scale(1); }
		10%, 20% { transform: scale(0.9) rotate(-3deg); }
		30%, 50%, 70%, 90% { transform: scale(1.1) rotate(3deg); }
		40%, 60%, 80% { transform: scale(1.1) rotate(-3deg); }
		100% { transform: scale(1) rotate(0); }
	}

	@keyframes jello {
		0%, 11.1%, 100% { transform: none; }
		22.2% { transform: skewX(-12.5deg) skewY(-12.5deg); }
		33.3% { transform: skewX(6.25deg) skewY(6.25deg); }
		44.4% { transform: skewX(-3.125deg) skewY(-3.125deg); }
		55.5% { transform: skewX(1.5625deg) skewY(1.5625deg); }
		66.6% { transform: skewX(-0.78125deg) skewY(-0.78125deg); }
		77.7% { transform: skewX(0.390625deg) skewY(0.390625deg); }
		88.8% { transform: skewX(-0.1953125deg) skewY(-0.1953125deg); }
	}';
